/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)liberr:errusage.c	1.4"

#include  "errmsg.h"
#include  <stdio.h>
#include  <varargs.h>

#define   USAGENO  255	/* exit value for usage messages */

/* This routine prints the standard command usage message.
*/

void
errusage( va_alist )
va_dcl
{
	va_list	ap;
	char	*format;

	va_start( ap );
	format = va_arg( ap, char * );
	va_end( ap );

	fputs( "Usage:  ", stderr );
	if( Err.vsource  &&  Err.source ) {
		fputs( Err.source, stderr );
		fputc( ' ', stderr );
	}
	vfprintf( stderr, format, ap );
	fputc( '\n', stderr );

	errexit( USAGENO );
	erraction( EEXIT );
}
